# Developers

- [Quickstart](https://superfluid.gitbook.io/superfluid/developers/quickstart.md): Find what you need to getting off the ground quick with building on Superfluid
- [Super Tokens](https://superfluid.gitbook.io/superfluid/developers/super-tokens.md): Tokens with super powers!
- [Super Tokens - Solidity](https://superfluid.gitbook.io/superfluid/developers/super-tokens/super-tokens-solidity.md): Interacting with Super Tokens in Solidity
- [Super Tokens - SDK Core](https://superfluid.gitbook.io/superfluid/developers/super-tokens/super-token-operations.md): Perform basic transfers, approvals, token wrapping & unwrapping using the SDK Core
- [Super Tokens - Frontend Examples](https://superfluid.gitbook.io/superfluid/developers/super-tokens/using-super-tokens.md): How to Wrap & Unwrap Existing ERC20 Assets
- [Types of Super Tokens](https://superfluid.gitbook.io/superfluid/developers/super-tokens/types-of-super-tokens.md): Wrapper, Pure, Native
- [Deploy a Super Token](https://superfluid.gitbook.io/superfluid/developers/super-tokens/deploy-a-super-token.md)
- [Deploying a Wrapper Super Token](https://superfluid.gitbook.io/superfluid/developers/super-tokens/deploy-a-super-token/deployment.md): Let's make a Super Token Wrapper for your ERC20 token
- [Deploying a Self Governed Super Token](https://superfluid.gitbook.io/superfluid/developers/super-tokens/deploy-a-super-token/deploying-a-self-governed-super-token.md)
- [Deploying a Pure Super Token](https://superfluid.gitbook.io/superfluid/developers/super-tokens/deploy-a-super-token/deploying-a-pure-super-token.md): Deploying your own Super Token
- [In-Depth](https://superfluid.gitbook.io/superfluid/developers/super-tokens/super-tokens.md): Get deeper into developing with and understanding Super Tokens
- [Tracking Super Token Balances](https://superfluid.gitbook.io/superfluid/developers/super-tokens/super-tokens/tracking-super-token-balances.md): Super Token balances can change every second! How do we approach tracking them?
- [ERC777 in Super Tokens](https://superfluid.gitbook.io/superfluid/developers/super-tokens/super-tokens/erc777-in-super-tokens.md): What is ERC777 and how is it applied in Super Tokens
- [Test Super Token Faucet](https://superfluid.gitbook.io/superfluid/developers/super-tokens/super-token-faucet.md): Get some DAIx on Mumbai to start development
- [Money Streaming (CFA)](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa.md): Money streaming!
- [Solidity](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library.md): The Super Token Library allows you to work with money streams in Solidity
- [Read Methods](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/read-methods.md)
- [getFlowInfo](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/read-methods/getflowinfo.md)
- [getFlowRate](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/read-methods/getflowrate.md)
- [getNetFlowRate](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/read-methods/getnetflowrate.md)
- [Write Methods](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/write-methods.md)
- [createFlow](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/write-methods/createflow.md)
- [updateFlow](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/write-methods/updateflow.md)
- [deleteFlow](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/write-methods/deleteflow.md)
- [With User Data](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/write-methods/with-user-data.md)
- [With Context](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/write-methods/with-context.md)
- [SDK Core](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations.md): Stream money with the Constant Flow Agreement using the SDK Core
- [Read Methods](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations/read-methods.md)
- [getFlow](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations/read-methods/getflow.md)
- [getNetFlow](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations/read-methods/getnetflow.md)
- [getAccountFlowInfo](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations/read-methods/getaccountflowinfo.md)
- [Write Methods](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations/write-methods.md)
- [createFlow](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations/write-methods/createflow.md)
- [updateFlow](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations/write-methods/updateflow.md)
- [deleteFlow](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-operations/write-methods/deleteflow.md)
- [Access Control List (ACL)](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl.md): An approval layer for creating, updating, or deleting streams on another user’s behalf.
- [Solidity](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity.md)
- [createFlowFrom](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/createflowfrom.md)
- [updateFlowFrom](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/updateflowfrom.md)
- [deleteFlowFrom](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/deleteflowfrom.md)
- [setFlowPermissions](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/setflowpermissions.md)
- [setMaxFlowPermissions](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/setmaxflowpermissions.md)
- [revokeFlowPermissions](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/revokeflowpermissions.md)
- [increaseFlowRateAllowanceWithPermissions](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/increaseflowrateallowancewithpermissions.md): increaseFlowRateAllowanceWithPermissions
- [decreaseFlowRateAllowanceWithPermissions](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/decreaseflowrateallowancewithpermissions.md): decreaseFlowRateAllowanceWithPermissions
- [getFlowPermissions](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/getnetflowrate.md)
- [SDK Core](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/sdk-core.md)
- [createFlowByOperator](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/sdk-core/createflowbyoperator.md)
- [updateFlowByOperator](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/sdk-core/updateflowbyoperator.md)
- [deleteFlowByOperator](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/sdk-core/deleteflowbyoperator.md)
- [updateFlowOperatorPermissions](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/sdk-core/updateflowoperatorpermissions.md)
- [revokeFlowOperatorPermissions](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/sdk-core/revokeflowoperatorpermissions.md)
- [increaseFlowRateAllowanceWithPermissions](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/sdk-core/increaseflowrateallowancewithpermissions.md): increaseFlowRateAllowanceWithPermissions
- [getFlowOperatorData](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/sdk-core/getaccountflowinfo.md)
- [Frontend Examples](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/money-streaming-1.md): Getting Started with the Constant Flow Agreement
- [More...](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/more....md)
- [Flow Rate Time Frames](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/more.../flow-rate-time-frames.md): Understand flow rate time denominations better
- [Building Batched Streams in Safe](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/more.../building-batched-streams-in-safe.md): Send multiple streams in the same transaction with Safe transaction batching
- [Flow NFTs](https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/more.../flow-nfts.md): NFTs that are held by the sender and receiver of an active stream
- [Distributions (IDA)](https://superfluid.gitbook.io/superfluid/developers/instant-distribution-agreement-ida.md): Scalable one-to-many distributions
- [IDA - Solidity](https://superfluid.gitbook.io/superfluid/developers/instant-distribution-agreement-ida/idav1-library.md): The Super Token Library allows you to work with instant distributions in Solidity
- [IDA - SDK Core](https://superfluid.gitbook.io/superfluid/developers/instant-distribution-agreement-ida/ida-operations.md): Send one to many transactions with the Instant Distribution Agreement using the SDK Core
- [IDA - Frontend Examples](https://superfluid.gitbook.io/superfluid/developers/instant-distribution-agreement-ida/instant-distribution.md): Create an index and distribute tokens using the Superfluid Core-SDK
- [Super Apps](https://superfluid.gitbook.io/superfluid/developers/super-apps.md): Building Programmable Cashflows
- [Super Apps in Depth](https://superfluid.gitbook.io/superfluid/developers/super-apps/super-app.md): Using Super Apps To Create Programmable Cashflows
- [Super App Callbacks](https://superfluid.gitbook.io/superfluid/developers/super-apps/super-app-callbacks.md): Making use of hooks that run before or after an agreement is called
- [Calling Agreements In Super Apps](https://superfluid.gitbook.io/superfluid/developers/super-apps/super-app-callbacks/calling-agreements-in-super-apps.md): Understanding CallAgreement vs CallAgreementWithContext
- [User Data](https://superfluid.gitbook.io/superfluid/developers/super-apps/user-data.md): Including additional metadata in your Super Apps
- [NFT Billboard Example](https://superfluid.gitbook.io/superfluid/developers/super-apps/user-data/nft-billboard-example.md): Create Your Own NFT Billboard with User Data
- [SuperAppBaseFlow](https://superfluid.gitbook.io/superfluid/developers/super-apps/superappbaseflow.md): Making building Super Apps easier than ever
- [Super App Examples](https://superfluid.gitbook.io/superfluid/developers/super-apps/super-app-examples.md)
- [Super App Deployment Guide](https://superfluid.gitbook.io/superfluid/developers/super-apps/super-app-deployment-guide.md): Obtaining keys for super app deployment
- [Batch Calls](https://superfluid.gitbook.io/superfluid/developers/batch-calls.md)
- [Batch Calls - SDK Core](https://superfluid.gitbook.io/superfluid/developers/batch-calls/batch-calls.md): With Superfluid, you can batch many, many operations into a single transaction. Here's how you do it with the SDK Core
- [Batch Calls - Frontend Examples](https://superfluid.gitbook.io/superfluid/developers/batch-calls/batching-transactions.md): Batching transactions to improve your UX
- [Automations](https://superfluid.gitbook.io/superfluid/developers/automations.md)
- [Auto-Wrap](https://superfluid.gitbook.io/superfluid/developers/automations/auto-wrap.md)
- [Stream Scheduler](https://superfluid.gitbook.io/superfluid/developers/automations/stream-scheduler.md): Superfluid's contract template for simplifying automation of stream start and end dates
- [Vesting Scheduler](https://superfluid.gitbook.io/superfluid/developers/automations/vesting-scheduler.md)
- [Stream Accounting API](https://superfluid.gitbook.io/superfluid/developers/automations/stream-accounting-api.md)
- [Automation Subgraphs](https://superfluid.gitbook.io/superfluid/developers/automations/automation-subgraphs.md)
- [Stream Scheduler Subgraph](https://superfluid.gitbook.io/superfluid/developers/automations/automation-subgraphs/stream-scheduler-subgraph.md)
- [Vesting Scheduler Subgraph](https://superfluid.gitbook.io/superfluid/developers/automations/automation-subgraphs/vesting-scheduler-subgraph.md)
- [Auto Wrap Subgraph](https://superfluid.gitbook.io/superfluid/developers/automations/automation-subgraphs/auto-wrap-subgraph.md)
- [Integration Guides](https://superfluid.gitbook.io/superfluid/developers/integration-guides.md): Helpful Tips for Integrating Superfluid Into an Existing Project
- [For Your Integration: The Basics](https://superfluid.gitbook.io/superfluid/developers/integration-guides/for-your-integration-the-basics.md)
- [Supporting Super Tokens](https://superfluid.gitbook.io/superfluid/developers/integration-guides/for-your-integration-the-basics/supporting-super-tokens.md): Supporting Super Tokens in Your App
- [Supporting Money Streams](https://superfluid.gitbook.io/superfluid/developers/integration-guides/for-your-integration-the-basics/supporting-money-streams.md): Supporting Streams in Your Application
- [Supporting Instant Distributions](https://superfluid.gitbook.io/superfluid/developers/integration-guides/for-your-integration-the-basics/supporting-instant-distributions.md): Supporting IDA Operations in Your App
- [Gating with Superfluid Subscriptions & Guild.xyz](https://superfluid.gitbook.io/superfluid/developers/integration-guides/gating-with-superfluid-subscriptions-and-guild.xyz.md)
- [Displaying Token Balances](https://superfluid.gitbook.io/superfluid/developers/integration-guides/displaying-token-balances.md): Getting Super Token Balances - Both Static and Dynamic
- [Useful Queries for Your Integration](https://superfluid.gitbook.io/superfluid/developers/integration-guides/useful-queries-for-your-integration.md): How to use the Superfluid Subgraph to Get Data Based on Events
- [Instant Distribution Events](https://superfluid.gitbook.io/superfluid/developers/integration-guides/useful-queries-for-your-integration/instant-distribution-events.md): Query IDA Events
- [Money Streaming Events](https://superfluid.gitbook.io/superfluid/developers/integration-guides/useful-queries-for-your-integration/money-streaming-events.md): Query CFA Data
- [Super Token Events](https://superfluid.gitbook.io/superfluid/developers/integration-guides/useful-queries-for-your-integration/super-token-events.md): Query Super Token Event Data
- [Other Helpful Queries](https://superfluid.gitbook.io/superfluid/developers/integration-guides/useful-queries-for-your-integration/other-helpful-queries.md): Other useful queries for your integration
- [Constructing Links to The Superfluid Dashboard](https://superfluid.gitbook.io/superfluid/developers/integration-guides/constructing-links-to-the-superfluid-dashboard.md): Generating pre-filled dashboard links for your users
- [Superfluid Subscriptions](https://superfluid.gitbook.io/superfluid/developers/superfluid-subscriptions.md): Learn how to add streaming subscriptions features to your apps with Superfluid
- [Superfluid Checkout Widget](https://superfluid.gitbook.io/superfluid/developers/superfluid-subscriptions/superfluid-checkout-widget.md): Using the Superfluid Checkout Widget for Web3-Native Subscriptions
- [Implementing Subscriptions in your App](https://superfluid.gitbook.io/superfluid/developers/superfluid-subscriptions/implementing-subscriptions-in-your-app.md): Reference material for building subscription products on Superfluid
- [SDK Core General](https://superfluid.gitbook.io/superfluid/developers/sdk-core.md): Interact with Superfluid using Javascript/Typescript
- [Initialization](https://superfluid.gitbook.io/superfluid/developers/sdk-core/sdk-core-initialization.md): How to initialize the SDK Core
- [Functionality](https://superfluid.gitbook.io/superfluid/developers/sdk-core/functionality.md)
- [Getting Data](https://superfluid.gitbook.io/superfluid/developers/sdk-core/getting-data.md): How to use the SDK Core to write subgraph queries and get account data
- [Resolver](https://superfluid.gitbook.io/superfluid/developers/sdk-core/resolver.md): This helper contract makes it easy to find the contract addresses for the protocol
- [Solidity General](https://superfluid.gitbook.io/superfluid/developers/solidity-examples.md): Working with the CFA & IDA in Solidity - and using the CFA Library
- [Calling Super Agreements](https://superfluid.gitbook.io/superfluid/developers/solidity-examples/interacting-with-superfluid-smart-contracts.md): Using Superfluid at the Smart Contract Level
- [Libraries](https://superfluid.gitbook.io/superfluid/developers/solidity-examples/libraries.md)
- [Resolver](https://superfluid.gitbook.io/superfluid/developers/solidity-examples/resolver.md): This helper contract makes it easy to find the contract addresses for the protocol
- [Testing Guide](https://superfluid.gitbook.io/superfluid/developers/testing-guide.md): How to test with Superfluid actions in Foundry & Hardhat
- [Hardhat Testing](https://superfluid.gitbook.io/superfluid/developers/testing-guide/hardhat-testing.md)
- [Foundry Testing](https://superfluid.gitbook.io/superfluid/developers/testing-guide/foundry-testing.md)
- [In-Depth](https://superfluid.gitbook.io/superfluid/developers/testing-guide/in-depth.md)
- [Hardhat Mainnet Fork Testing](https://superfluid.gitbook.io/superfluid/developers/testing-guide/in-depth/hardhat-mainnet-fork-testing.md): Set yourself to easily test with Superfluid on a Hardhat fork
- [Super App Testing on Mainnet Forks](https://superfluid.gitbook.io/superfluid/developers/testing-guide/in-depth/super-app-testing-on-mainnet-forks.md): Learn how to test Super Apps on Hardhat mainnet forks
- [Subgraph](https://superfluid.gitbook.io/superfluid/developers/subgraph.md): Hungry for data? Hot n' fresh Superfluid subgraphs ready to consume!
- [Reference](https://superfluid.gitbook.io/superfluid/developers/reference-documentations.md)
- [Deploying The Framework](https://superfluid.gitbook.io/superfluid/developers/reference-documentations/production-deployment.md): Deploying Super Apps and the Superfluid Framework Either Locally or To a New Network
- [Contract Addresses](https://superfluid.gitbook.io/superfluid/developers/networks.md): Superfluid contract addresses for all supported networks


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://superfluid.gitbook.io/superfluid/developers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
